From 7e14e2e6cbab8d1c556b556983e2a5e2dcbba6cc Mon Sep 17 00:00:00 2001
From: Philip Craig <689193+philipcraig@users.noreply.github.com>
Date: May 09 2020 19:00:49 +0000
Subject: [PATCH 582/2232] avoid MSVC warning via flag_if_supported


---

diff --git a/build.rs b/build.rs
index 16837f3..9a071fe 100644
--- a/build.rs
+++ b/build.rs
@@ -3,7 +3,7 @@ fn main() {
         .file("src/cxx.cc")
         .cpp(true)
         .cpp_link_stdlib(None) // linked via link-cplusplus crate
-        .flag("-std=c++11")
+        .flag_if_supported("-std=c++11")
         .compile("cxxbridge03");
     println!("cargo:rerun-if-changed=src/cxx.cc");
     println!("cargo:rerun-if-changed=include/cxx.h");
diff --git a/demo-rs/build.rs b/demo-rs/build.rs
index edbb281..e4792c2 100644
--- a/demo-rs/build.rs
+++ b/demo-rs/build.rs
@@ -1,7 +1,7 @@
 fn main() {
     cxx_build::bridge("src/main.rs")
         .file("../demo-cxx/demo.cc")
-        .flag("-std=c++11")
+        .flag_if_supported("-std=c++11")
         .compile("cxxbridge-demo");
 
     println!("cargo:rerun-if-changed=src/main.rs");
diff --git a/gen/build/src/lib.rs b/gen/build/src/lib.rs
index b33e192..14683b6 100644
--- a/gen/build/src/lib.rs
+++ b/gen/build/src/lib.rs
@@ -16,7 +16,7 @@
 //! fn main() {
 //!     cxx_build::bridge("src/main.rs")
 //!         .file("../demo-cxx/demo.cc")
-//!         .flag("-std=c++11")
+//!         .flag_if_supported("-std=c++11")
 //!         .compile("cxxbridge-demo");
 //!
 //!     println!("cargo:rerun-if-changed=src/main.rs");
@@ -83,7 +83,7 @@ pub fn bridge(rust_source_file: impl AsRef<Path>) -> cc::Build {
 /// let source_files = vec!["src/main.rs", "src/path/to/other.rs"];
 /// cxx_build::bridges(source_files)
 ///     .file("../demo-cxx/demo.cc")
-///     .flag("-std=c++11")
+///     .flag_if_supported("-std=c++11")
 ///     .compile("cxxbridge-demo");
 /// ```
 pub fn bridges(rust_source_files: impl IntoIterator<Item = impl AsRef<Path>>) -> cc::Build {
diff --git a/src/lib.rs b/src/lib.rs
index 78aba3d..7e6ece4 100644
--- a/src/lib.rs
+++ b/src/lib.rs
@@ -233,7 +233,7 @@
 //! fn main() {
 //!     cxx_build::bridge("src/main.rs")  // returns a cc::Build
 //!         .file("../demo-cxx/demo.cc")
-//!         .flag("-std=c++11")
+//!         .flag_if_supported("-std=c++11")
 //!         .compile("cxxbridge-demo");
 //!
 //!     println!("cargo:rerun-if-changed=src/main.rs");
diff --git a/tests/ffi/build.rs b/tests/ffi/build.rs
index 2c96d73..f6fa59e 100644
--- a/tests/ffi/build.rs
+++ b/tests/ffi/build.rs
@@ -6,6 +6,6 @@ fn main() {
     let sources = vec!["lib.rs", "module.rs"];
     cxx_build::bridges(sources)
         .file("tests.cc")
-        .flag("-std=c++11")
+        .flag_if_supported("-std=c++11")
         .compile("cxx-test-suite");
 }

